5 Replies Latest reply on Jun 25, 2010 12:22 PM by Davie Lin

    having problem upgrading from 3.1.5 to 3.3.3

    Davie Lin Newbie

      hi, I was trying to upgrade from 3.1.5 to 3.3.3 along with JSF1.1_1 to 1.2_14

       

      I follow the tutorial at http://docs.jboss.org/richfaces/latest_3_3_X/en/devguide/html/GettingStarted.html

       

      but I am not getting any value at my page when it render <rich:dataTable>

       

      does the EL syntax change? just curious

      is it still start with "#"?

        • 1. Re: having problem upgrading from 3.1.5 to 3.3.3
          Akaine Harga Novice

          - double check the web.xml config, RF part should look something like this:

          <context-param>
              <param-name>org.richfaces.SKIN</param-name>
              <param-value>DEFAULT</param-value>
          </context-param>
          <context-param>
              <param-name>org.richfaces.CONTROL_SKINNING</param-name>
              <param-value>enable</param-value>
          </context-param>
          
          <filter>
              <display-name>Ajax4jsf Filter</display-name>
              <filter-name>ajax4jsf</filter-name>
              <filter-class>org.ajax4jsf.Filter</filter-class>
          </filter>
          
          <filter-mapping>
              <filter-name>ajax4jsf</filter-name>
              <servlet-name>Faces Servlet</servlet-name>
              <dispatcher>REQUEST</dispatcher>
              <dispatcher>FORWARD</dispatcher>
              <dispatcher>INCLUDE</dispatcher>
          </filter-mapping>
          

           

          - If you use facelets for JSF templating, make sure you use facelets v1.1.15 library (can be downloaded here)

          - EL syntax is the same and starts with '#' as before

           

           

          If you keep having the problem after the changes above have been made, post the code, the error should be there.

          • 2. Re: having problem upgrading from 3.1.5 to 3.3.3
            Davie Lin Newbie

            Thanks for your suggestion, but I have apply those <context-param> and <filter> into my web.xml

            and upgrade to jsf-facelets1.1.15.jar

             

            still not displaying my value

             

            here are some of the jar files I have

             

            commons-beanutils-1.8.3

            commons-collections-3.2.1

            commons-dbcp.jar

            commons-digester-1.8.1

            commons-lang

            commons-logging-1.0.4

            commons-pool

            jhighligh-1.0

            jstl

            jsf-api

            jsf-impl

            richface 3.3.3 (ui, impl, api)

            jsf-facelets1.1.15

             

            and I have spring & hibernate related jars

             

            anyways, EL are not displaying my value in <rich:dataTable>

            • 3. Re: having problem upgrading from 3.1.5 to 3.3.3
              Ilya Shaikovsky Master

              any exeptions in server log?

              show simplified code

              also check that you included only one rf-impl jar. (there are two in dist for JSF 1.2 and for JSF 2)

              • 4. Re: having problem upgrading from 3.1.5 to 3.3.3
                Davie Lin Newbie

                The app starts fine, I don't see any exception in the log

                 

                My datatable just won't display any of the value in the row.  EL is not working for me.  Currently, I haven't spend anytime dealing with this issue because the reason I wanted to upgrade was to see if upgrade to 3.3.3 w/JSF 1.2_14 will correct an issue I have with my app(3.1.5) hanging in IE 8

                 

                I have located the source of the issue, (framework.pack.js)  This javascript is causing my page to hang in IE8 and in IE8 only.  I understand far less about javascript compare to java.  Is there a jira created for this issue that you know of and can someone from richface team look into this?

                 

                I have even try to use 3.3.3's framework.pack.js and it still doesn't help.

                 

                Thanks

                • 5. Re: having problem upgrading from 3.1.5 to 3.3.3
                  Davie Lin Newbie

                  Hey, I am happy to report that I believe the problem in framwork.pack.js has been resolve by someone in this same forum,

                  Here is the URL

                   

                  http://community.jboss.org/message/525803

                   

                  So far I have click my thing for like 20 min and NO HANG,

                  This really helps, thank you

                  Rafał Żukowski

                  you save my day and restore my faith in Richface